<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class () extends Migration {
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ledgers', function (Blueprint $table) {
            $table->id();

            $table->foreignId('transaction_id')->nullable()->constrained()->onDelete('cascade');

            $table->foreignId('account_id')->constrained()->onDelete('cascade');

            $table->foreignId('branch_id')->constrained()->onDelete('cascade');
            $table->foreignId('client_id')->constrained()->onDelete('cascade');

            $table->foreignId('journal_id')->nullable()->constrained()->onDelete('cascade');

            $table->decimal('credit_amount')->nullable();
            $table->decimal('debit_amount')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ledgers');
    }
};
